#
# spec file for package zimg (Version 4.5.0 )
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  freetype2 gd gd-devel libjpeg libpng libtiff xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gd gd-devel gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg libpng libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         zimg
Copyright:    Johannes Zellner see COPYING
Group:        Applications/Graphics 
Requires:     gd >= 1.8.3
Autoreqprov:  on
Version:      4.5.0 
Release:      132
Source:       %{name}-%{version}.tar.gz
Patch:        %{name}-%{version}.dif
URL:          http://www.zellner.org/zimg/
BuildRoot:    /var/tmp/%{name}-root
Summary:      display 2-D data of arbitrary format

%description
zimg generates png images from arbitrary formatted f(x,y) data.
Both plain unformatted ascii and a variety of binary input formats
are supported. Output options include variable logarithmic color
mapping VLCM and contour graphics and lots of color maps.
zimg is a fast converter.

Authors:
--------
    Johannes Zellner <johannes@zellner.org>

SuSE series: gra

%prep
%setup
%patch
%{suse_update_config}

%build
%define prefix   /usr/
aclocal
automake -a
autoconf
CFLAGS="$RPM_OPT_FLAGS"
CXXFLAGS="$RPM_OPT_FLAGS"
./configure --mandir=%{_mandir} \
                --prefix=%{prefix} \
                --with-gd-includes=/usr/include/ \
                --with-gd-lib=/usr/lib/ \
                --with-jpeg-lib=/usr/lib/
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc  README  ChangeLog AUTHORS COPYING INSTALL  NEWS  TODO
/usr/bin/zimg
/usr/share/man/man1/zimg*

%changelog -n zimg
* Wed Mar 21 2001 - pblaha@suse.cz
- fix needfor build for freetype2
* Thu Jan 25 2001 - pblaha@suse.cz
- update on lates stable 4.5.0
* Mon Dec 18 2000 - pblaha@suse.cz
- create this package
